** 2021 12 20
Qt has a class QDir which is for handling directories.
So I better use this class and its functions (setPath) and reading the entries.
The code I wrote for setPath(string \*string) is now obsolete:
        void Folder::setPath(string *string) {
          _path = "string";
        }
